package com.seatel.mobilehall.ui.login.fragment

import com.seatel.mobilehall.ui.base.fragment.BaseFragment
import com.seatel.mobilehall.ui.login.activity.LoginActivity
import com.seatel.mobilehall.ui.login.interactor.MainFragmentInteractor

open class MainFragment : BaseFragment(), MainFragmentInteractor.View {

    private var mMainFragmentInteractor: MainFragmentInteractor.Presenter? = null
    private lateinit var mActivity: LoginActivity


    open fun getFragmentOffset(): Int {
        return 0
    }


    override fun attachPresenter(presenter: MainFragmentInteractor.Presenter) {
        mMainFragmentInteractor = presenter
    }

    open fun getmMainFragmentPresenter(): MainFragmentInteractor.Presenter? {
        return mMainFragmentInteractor
    }


    open fun setActivity(mainActivity: LoginActivity) {
        mActivity = mainActivity
    }

    open fun getMainActivity(): LoginActivity {
        return mActivity
    }
}